commit:     f4732d539d40ef12abd6fd4b2d5e0c1a3776f9f4
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 24 10:06:34 2021 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Wed Nov 24 10:06:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4732d53

net-fs/autofs: version bump, 5.1.8

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 net-fs/autofs/Manifest            |   1 +
 net-fs/autofs/autofs-5.1.8.ebuild | 129 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 130 insertions(+)

diff --git a/net-fs/autofs/Manifest b/net-fs/autofs/Manifest
index 2dd24948a6bf..9c7a467de824 100644
--- a/net-fs/autofs/Manifest
+++ b/net-fs/autofs/Manifest
@@ -1,2 +1,3 @@
 DIST autofs-5.1.6.tar.xz 315316 BLAKE2B 
0c5e2351462505c6de0b12e510f0c08a625a0235e1ff8eeaff825946c4530c258449d26aaf6a3794aa82a97e8860711226168f434dd31bfb8a4e70287beb3ca4
 SHA512 
dc8b2bd86c140905dd1bc461bfc469f92363d9c2687fe422e1e751cc7ad64c0733b011c80bf4840e510e5909176cd1a066968b9a5ba835b62c4cf27537863cf2
 DIST autofs-5.1.7.tar.xz 327752 BLAKE2B 
bff290048fb2849dd4c7099718f6824eac7e4f700909342f82b79a3baa752c4efe7f45be3492578fa15df6d959751be5d7fae5aafe129b52425c0d9ab19eaccc
 SHA512 
cf994d0e68d5f6a5647235000743811a791150ece0a90ed9e1cb9bb131259f52769371c6a06d968b7191b10e709c9c90de611cc3ee310fbbea87f60034b3d4e1
+DIST autofs-5.1.8.tar.xz 327396 BLAKE2B 
22ef626cc867c1ed4f1f859aebe2547c497c35dea712967de70158e85db590f5ffc26165e1479cfc64eb8070a9c43fd06b1570a82bd8bbbac70f2930e1841718
 SHA512 
6ee6283c0977c82848a654dc24745ee687f6916de441c3688fa91f67ca7295e632ee3808cc2358984a4b9f19841e6e1a91ab48aad6341ac8e63827fe8c32d223

diff --git a/net-fs/autofs/autofs-5.1.8.ebuild 
b/net-fs/autofs/autofs-5.1.8.ebuild
new file mode 100644
index 000000000000..ede180337421
--- /dev/null
+++ b/net-fs/autofs/autofs-5.1.8.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info systemd toolchain-funcs
+
+DESCRIPTION="Kernel based automounter"
+HOMEPAGE="https://web.archive.org/web/*/http://www.linux-consulting.com/Amd_AutoFS/autofs.html";
+SRC_URI="https://www.kernel.org/pub/linux/daemons/${PN}/v5/${P}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="dmalloc ldap +libtirpc mount-locking sasl systemd"
+
+# currently, sasl code assumes the presence of kerberosV
+RDEPEND="
+       net-libs/libnsl:=
+       >=sys-apps/util-linux-2.20
+       dmalloc? ( dev-libs/dmalloc[threads] )
+       ldap? ( >=net-nds/openldap-2.0
+               sasl? (
+                       dev-libs/cyrus-sasl
+                       dev-libs/libxml2
+                       virtual/krb5
+               )
+       )
+       systemd? ( sys-apps/systemd )
+       libtirpc? ( net-libs/libtirpc )
+       !libtirpc? ( elibc_glibc? ( sys-libs/glibc[rpc(-)] ) )
+"
+DEPEND="${RDEPEND}
+       libtirpc? ( net-libs/rpcsvc-proto )
+"
+BDEPEND="
+       sys-devel/flex
+       virtual/pkgconfig
+       virtual/yacc
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-5.1.7-glibc.patch"
+       "${FILESDIR}/${PN}-5.1.6-musl.patch"
+       "${FILESDIR}/${PN}-5.1.6-pid.patch"
+)
+
+pkg_setup() {
+       linux-info_pkg_setup
+
+       local CONFIG_CHECK
+
+       if kernel_is -ge 4 18; then
+               CONFIG_CHECK="~AUTOFS_FS"
+       else
+               CONFIG_CHECK="~AUTOFS4_FS"
+       fi
+
+       check_extra_config
+}
+
+src_prepare() {
+       sed -i  -e "s:/usr/bin/kill:/bin/kill:" samples/autofs.service.in || 
die # bug #479492
+       sed -i  -e "/^EnvironmentFile/d"        samples/autofs.service.in || 
die # bug #592334
+
+       # Install samples including autofs.service
+       sed -i -e "/^SUBDIRS/s/$/ samples/g" Makefile.rules || die
+
+       default
+}
+
+src_configure() {
+       # bug #483716
+       tc-export AR
+       # --with-confdir is for bug #361481
+       # --with-mapdir is for bug #385113
+       local myeconfargs=(
+               --with-confdir=/etc/conf.d
+               --with-mapdir=/etc/autofs
+               $(use_with dmalloc)
+               $(use_with ldap openldap)
+               $(use_with libtirpc)
+               $(use_with sasl)
+               $(use_enable mount-locking)
+               $(use_with systemd systemd $(systemd_get_systemunitdir)) # bug 
#479492
+               --without-hesiod
+               --disable-ext-env
+               --enable-sloppy-mount # bug #453778
+               --enable-force-shutdown
+               --enable-ignore-busy
+               RANLIB="$(type -P $(tc-getRANLIB))" # bug #483716
+       )
+
+       CONFIG_SHELL="${BROOT}/bin/bash" econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       export DONTSTRIP=1
+       default
+}
+
+src_install() {
+       default
+       rmdir "${D}"/run
+
+       if kernel_is -lt 2 6 30; then
+               # kernel patches
+               docinto patches
+               dodoc patches/${PN}4-2.6.??{,.?{,?}}-v5-update-????????.patch
+       fi
+       newinitd "${FILESDIR}"/autofs5.initd autofs
+       insinto etc/autofs
+       newins "${FILESDIR}"/autofs5-auto.master auto.master
+}
+
+pkg_postinst() {
+       if kernel_is -lt 2 6 30; then
+               elog "This version of ${PN} requires a kernel with autofs4 
supporting"
+               elog "protocol version 5.00. Patches for kernels older than 
2.6.30 have"
+               elog "been installed into"
+               elog "${EROOT}/usr/share/doc/${P}/patches."
+               elog "For further instructions how to patch the kernel, please 
refer to"
+               elog "${EROOT}/usr/share/doc/${P}/INSTALL."
+               elog
+       fi
+       elog "If you plan on using autofs for automounting remote NFS mounts,"
+       elog "please check that both portmap (or rpcbind) and rpc.statd/lockd"
+       elog "are running."
+}

Reply via email to